require_relative 'batchly-sdk/iprocessor'

require_relative 'batchly-sdk/request/irequest'
require_relative 'batchly-sdk/request/db_request'
require_relative 'batchly-sdk/request/file_request'
require_relative 'batchly-sdk/request/queue_request'
require_relative 'batchly-sdk/request/delimited_request'

require_relative 'batchly-sdk/response/iresponse'
require_relative 'batchly-sdk/response/default_response'
require_relative 'batchly-sdk/response/file_response'
require_relative 'batchly-sdk/response/db_response'

##
# Batchly SDK is a service provider interface offered to create processors for use in batchly
# http://www.batchly.net
module Batchly

  ##
  # All request types that batchly supports for different data sources are available as part of this module
  # Currently supports QueueRequest, FileRequest, DelimitedRequest and DbRequest
  module Request
  end

  ##
  # All response types that batchly supports for different data destinations are available as part of this module
  # Currently supports DefaultResponse, FileResponse and DbResponse
  module Response
  end
end
