require_relative 'irequest'

module Batchly
  module Request

    ##
    # DbRequest is a type of request that supports relational data sources
    # Request holds the base data and source connection string
    class DbRequest < IRequest

      def initialize(id = nil, parameters = nil, connection_string = nil, data = nil, content_path = nil)
        @id = id
        @parameters = parameters
        @connection_string = connection_string
        @data = data
        @content_path = content_path
      end

      # id for the Unit of Work +string+
      attr_accessor :id

      # Values for parameters configured via UI +hashTable+
      attr_accessor :parameters

      # connection string +string+
      attr_accessor :connection_string

      # dataset of data required to process unit of work. +hashTable+
      # If the configured query returns multiple record sets, each record set is a table within the dataset.
      attr_accessor :data

      # Path for loading additional content - Path to container from where code is executed +string+
      attr_accessor :content_path
    end
  end
end
