require_relative 'irequest'

module Batchly
  module Request

    ##
    # DelimitedFileRequest is a type of request that supports csv and other delmited type of source files
    # Request holds the fields as an array.  The fields are column values from a single row
    class DelimitedFileRequest < IRequest

      def initialize(id = nil, parameters = nil, fields = nil, content_path = nil)
        @id = id
        @parameters = parameters
        @fields = fields
        @content_path = content_path
      end

      # Unique id of the Unit of Work +string+
      attr_accessor :id

      # parameters that has been configured in portal +hashTable+
      attr_accessor :parameters

      # Fields contain the individual columns of a delimited row +array+
      attr_accessor :fields


      # Path for loading additional content - Path to container from where code is executed +string+
      attr_accessor :content_path

    end

  end
end
