  require_relative 'irequest'

  module Batchly
    module Request
      ##
      # FileRequest is a type of request that supports file storage
      # Request holds the location of the file thats available for your processing
      class FileRequest < IRequest

        def initialize(id = nil, parameters = nil, location = nil, content_path = nil )
          @id = id
          @parameters = parameters
          @location = location
          @content_path = content_path
        end

        # Unique id of the Unit of Work +string+
        attr_accessor :id

        # parameters that has been configured in portal +hashTable+
        attr_accessor :parameters

        # Location of the file on disk +string+
        attr_accessor :location

        # Path for loading additional content - Path to container from where code is executed +string+
        attr_accessor :content_path
      end
    end
  end
