
module Batchly
  module Request

    ##
    # IRequest is the base interface for all request types
    # Use the actual implementations while duck typing - File, Delimited, Db or Queue
    class IRequest

      # id for the Unit of Work +string+
      attr_accessor :id

      # Values for parameters configured via UI +hashTable+
      attr_accessor :parameters

      # Current working directory +string+
      attr_accessor :content_path

    end
  end
end
