  require_relative 'irequest'
  require 'json'

  module Batchly
    module Request

      ##
      # QueueRequest is a type of request that supports pub/sub or queue sources
      # Request holds the content of a single message
      class QueueRequest < IRequest

        def initialize(id = nil, parameters = nil, content = nil, content_path = nil )
          @id = id
          @parameters = parameters
          @content = content
          @content_path = content_path
        end

        # id for the Unit of Work +string+
        attr_accessor :id

        # Values for parameters configured via UI +hashTable+
        attr_accessor :parameters

        # Path for content +string+
        attr_accessor :content

        # Path for loading additional content - Path to container from where code is executed +string+
        attr_accessor :content_path

      end
    end
  end
