require_relative 'iresponse'

module Batchly
  module Response

    ##
    # The DbResponse is a type of response when you want batchly to execute queries on destination database
    class DbResponse < IResponse

      # Unique id of the Unit of Work +string+
      attr_accessor :id

      # Status of the processing +boolean+
      attr_accessor :is_processing_success

      # Parameter Name and Data pair for each parameter of the SQL Query that is run on successful processing +hashTable+
      # The query is configured as part of Batchly Portal and is run in sequence to ensure successful writes to the database.
      attr_accessor  :parameter_values

      # Duplicate message that can be deleted without any post processing +boolean+
      attr_accessor :is_duplicate

    end
  end
end
