require_relative 'iresponse'

module Batchly
  module Response

    ##
    # This is the minimal response to return when the processing doesn't generate any output that requires processing by batchly agent
    # The *is_processing_success* represents status of processing. +boolean+  _true_ for success and _false_ for failure
    # The *is_duplicate* field represents duplicate tracking if state is managed by processor.
    # The *id* should equal the request id
    class DefaultResponse < IResponse

      # Unique id of the Unit of Work +string+
      attr_accessor :id

      # Status of the processing +boolean+
      attr_accessor :is_processing_success

      # Duplicate message that can be deleted without any post processing +boolean+
      attr_accessor :is_duplicate
    end

  end
end
