require_relative 'iresponse'

module Batchly
  module Response

    ##
    # FileResponse is the type of response to return when you generate a file output
    # Batchly Agent automatically takes the output file and sends it to the right destination(s)
    # The destinations are configured from the portal and is processor independent
    # Destinations are attached at the Job Level. The processor is reusable across many jobs without knowing the source and destination
    class FileResponse < IResponse

      # Unique id of the Unit of Work +string+
      attr_accessor :id

      # Status of the processing +boolean+
      attr_accessor :is_processing_success

      # locations of the ouptut files on disk +Array+
      # One full path per output file.  Disk File Name is used as file name for response.
      # E.g.:- C:\Processed\Output\File1.png - Saved to storage as File.Png
      attr_accessor :locations

      # Duplicate message that can be deleted without any post processing +boolean+
      attr_accessor :is_duplicate

    end
  end
end
