module Batchly
  module Response

    ##
    # This is the basic interface for returning the values post processing
    # Use the implemented classes for returning the right type of bootstrapping by the batchly agent
    # Supported implementations are:-
    # * DefaultResponse
    # * FileResponse
    # * DbResponse
    class IResponse

     # Unique id of the Unit of Work
      attr_accessor :id

      # Status of the processing
      attr_accessor :is_processing_success

      # Duplicate message that can be deleted without any post processing
      attr_accessor :is_duplicate

      end
  end
end
